> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.linejoin.md).

# LineJoin

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies how to join consecutive line or curve segments in a figure contained in a [GraphicsPath](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.graphicspath.md) object.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum LineJoin : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum LineJoin As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                                                                       |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Bevel**        | Specifies a beveled join. This produces a diagonal corner.                                                                                        |
| **Miter**        | Specifies a mitered join. This produces a sharp corner or a clipped corner, depending on whether the length of the miter exceeds the miter limit. |
| **MiterClipped** | Specifies a mitered join. This produces a sharp corner or a beveled corner, depending on whether the length of the miter exceeds the miter limit. |
| **Round**        | Specifies a circular join. This produces a smooth, circular arc between the lines.                                                                |

## Used By

| Name                                                                                                      | Description                                                                                                                                                |
| --------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Pen.LineJoin](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.linejoin.md) | Gets or sets the join style for the ends of two overlapping lines drawn with this [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.linejoin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
